#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
# If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
# Otherwise, we leave the .new copy for the admin to consider...
}

config_init() {
  INIT="$1"
  if ! grep -q rc.autofs /etc/rc.d/rc.inet2; then
     ( cat `dirname $INIT`/`basename $INIT` >> /etc/rc.d/rc.inet2 )
  fi
  rm $INIT
}

# CONFIGURA INICIALIZACAO
config etc/rc.d/rc.autofs.new
config etc/autofs.conf.new
config etc/autofs.map.new
config_init etc/rc.d/autofs.inc

( mkdir -p /mnt/auto ; chmod -R a+rx /mnt/auto )
( cd /mnt ; ln -s auto/cdrom0 cdrom0 2> /dev/null )
( cd /mnt ; ln -s auto/floppy0 floppy0 2> /dev/null )
( cd /mnt ; ln -s auto/usb0 usb0 2> /dev/null )
( cd /mnt ; ln -s auto/usb1 usb1 2> /dev/null )
( cd /mnt ; ln -s auto/usb2 usb2 2> /dev/null )

